(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4213,        120]
NotebookOptionsPosition[      3367,         97]
NotebookOutlinePosition[      3733,        113]
CellTagsIndexPosition[      3690,        110]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"num", "=", "1000000"}]], "Input",
 CellChangeTimes->{{3.748596749358618*^9, 3.7485967682183313`*^9}, {
   3.7485971816522303`*^9, 3.74859719316613*^9}, 3.7485973756018543`*^9, {
   3.7485975496211967`*^9, 3.748597549935103*^9}, 3.748598651564863*^9, 
   3.748598752793145*^9, 3.748651489638432*^9},
 CellLabel->"In[37]:=",ExpressionUUID->"0a7e25b2-1e1b-43f5-80cb-8639768b6a7e"],

Cell[BoxData["1000000"], "Output",
 CellChangeTimes->{
  3.748596776376397*^9, {3.7485971823581543`*^9, 3.7485971947507353`*^9}, 
   3.748597377295945*^9, 3.748597551808137*^9, 3.748598653222011*^9, 
   3.748598753607546*^9, 3.7486514903640127`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"f4a8fc91-f63b-4b26-9b79-97e729f1825e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"points", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RandomReal", "[", "]"}], ",", 
       RowBox[{"RandomReal", "[", "]"}], ",", 
       RowBox[{"RandomReal", "[", "]"}]}], "}"}], ",", "num"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.748596785103746*^9, 3.7485967984338408`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"862bc57f-96e1-455a-a274-aa2951ae366b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"test", "[", "p_", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"p", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "^", "2"}], "+", 
      RowBox[{
       RowBox[{"p", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "^", "2"}], "+", 
      RowBox[{
       RowBox[{"p", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "^", "2"}]}], "\[LessEqual]", "1"}], 
    ",", "1", ",", "0"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.748596985400231*^9, {3.748597034864602*^9, 3.748597036053491*^9}, {
   3.7485970858767548`*^9, 3.748597086081285*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"ab3b5f3e-333b-4141-b233-49c7651acad9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"test", ",", "points"}], "]"}]}], "]"}], "*", 
    RowBox[{
     RowBox[{"8", "/", "Pi"}], "/", "num"}]}], ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.7485969970787477`*^9, 3.748597021104917*^9}, 
   3.748597065725709*^9, {3.748597108317325*^9, 3.748597174357155*^9}, {
   3.748597330766025*^9, 3.748597362012467*^9}, {3.7485975331960793`*^9, 
   3.748597545231154*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"f3863355-d879-4743-b217-33d0bac4d564"],

Cell[BoxData["1.33445180908785036745046895344329034119`10."], "Output",
 CellChangeTimes->{3.748598675368249*^9, 3.7486515040202723`*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"b8364a1f-2ae3-40c3-9a78-585b0779e5c8"]
}, Open  ]]
},
WindowSize->{808, 755},
WindowMargins->{{Automatic, 283}, {Automatic, 4}},
FrontEndVersion->"11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (2018\:5e743\
\:670812\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 401, 6, 30, "Input",ExpressionUUID->"0a7e25b2-1e1b-43f5-80cb-8639768b6a7e"],
Cell[984, 30, 328, 5, 34, "Output",ExpressionUUID->"f4a8fc91-f63b-4b26-9b79-97e729f1825e"]
}, Open  ]],
Cell[1327, 38, 456, 12, 44, "Input",ExpressionUUID->"862bc57f-96e1-455a-a274-aa2951ae366b"],
Cell[1786, 52, 711, 20, 44, "Input",ExpressionUUID->"ab3b5f3e-333b-4141-b233-49c7651acad9"],
Cell[CellGroupData[{
Cell[2522, 76, 610, 14, 44, "Input",ExpressionUUID->"f3863355-d879-4743-b217-33d0bac4d564"],
Cell[3135, 92, 216, 2, 68, "Output",ExpressionUUID->"b8364a1f-2ae3-40c3-9a78-585b0779e5c8"]
}, Open  ]]
}
]
*)

